Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011598 [DCSS] Bug Report minor always 2018-08-08 18:35 2018-09-15 14:37
Reporter Siegurt View Status public  
Assigned To aidanholm
Priority normal Resolution done  
Status resolved   Product Branch 0.22 stable branch
Summary 0011598: MP display doesn't get reset on canceling spell casting.
Description When I select a spell to cast, as soon as you target something the MP bar changes to reflect what your MP would be when you cast the ( spell, however if you cancel the spell (with escape) the MP isn't spent, however the display doesn't reflect the fact that you canceled the spell, you can however force the display to be redrawn (by going into your inventory and leaving or hitting control-R or whatever) and your actual MP will be displayed.

The effect persists as long as the MP area isn't redrawn (for example if I try to cast a spell, then move leftwards it doesn't redraw the MP area, but then if I move rightward it redraws that area and it appears that I suddenly regained that MP)

Oddly, this is a (windows?)-console specific problem, tiles version 0.22-a0-815 does doesn't "preview" your missing MP at all, when you cast a spell the old behavior (where the MP bar doesn't change until you actually cast the spell) is present (For what it's worth, I think previewing the MP missing is probably more confusing than it is helpful)
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0011666closedaidanholm Aimed spells consume MP when not cast 

-  Notes
(0032605)
hawthornbunny (reporter)
2018-08-29 23:58

I found the same issue on console version 0.22, running on Manjaro Linux. Happens with any spell that the game warns you about before casting.
(0032628)
aidanholm (developer)
2018-09-15 14:36

Thanks for reporting! Fixed at d05d27e280a2

- Issue History
Date Modified Username Field Change
2018-08-08 18:35 Siegurt New Issue
2018-08-29 23:58 hawthornbunny Note Added: 0032605
2018-09-15 14:04 aidanholm Relationship added has duplicate 0011666
2018-09-15 14:36 aidanholm Note Added: 0032628
2018-09-15 14:36 aidanholm Status new => resolved
2018-09-15 14:36 aidanholm Fixed in Branch => longterm development (0.23+)
2018-09-15 14:36 aidanholm Resolution open => done
2018-09-15 14:36 aidanholm Assigned To => aidanholm


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker